Package org.bukkit.block.data

# Interface Bisected

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `Door`, `SmallDripleaf`, `Stairs`, `TrapDoor`

public interface Bisected extends BlockData
'half' denotes which half of a two block tall material this block is.
In game it may be referred to as either (top, bottom) or (upper, lower).

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Bisected.Half`
The half of a vertically bisected block.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Bisected.Half`
`getHalf()`
Gets the value of the 'half' property.
`void`
`setHalf(@NotNull Bisected.Half half)`
Sets the value of the 'half' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

## Method Details

### getHalf

@NotNull @NotNull Bisected.Half getHalf()
Gets the value of the 'half' property.

Returns:
  the 'half' value

### setHalf

void setHalf(@NotNull @NotNull Bisected.Half half)
Sets the value of the 'half' property.

Parameters:
  `half` - the new 'half' value